#ifndef __KCM_LAYOUT_H__
#define __KCM_LAYOUT_H__


class QComboBox;
class QLabel;
class QListView;
class QCheckBox;
class QGroupBox;
class QButtonGroup;

#include <kcmodule.h>
#include <kglobalaccel.h>

#include <qstring.h>

#include "rules.h"

class LayoutConfigWidget;
class LayoutConfig : public KCModule
{
  Q_OBJECT

public:

  LayoutConfig(QWidget *parent = 0L, const char *name = 0L);
  virtual ~LayoutConfig();

  void load();
  void save();
  void defaults();

  QString quickHelp() const;

  void itemStateChanged(); // must be slot?

protected:
  QString createOptionString();

protected slots:

  void moveUp();
  void moveDown();
  void variantChanged();
  void layoutSelChanged(QListViewItem *);
  void ruleChanged(const QString &rule);
  void updateLayoutCommand();
  void updateOptionsCommand();
  void add();
  void remove();

  void changed();

private:

  enum SwitchMode { Global, Application, Window } switchMode;

  LayoutConfigWidget* widget;
  QDict<QButtonGroup> optionGroups;
  QDict<char> variants;
  QString m_rule;
  KeyRules *rules;

  QWidget* makeOptionsTab(QWidget* parent);
};


#endif
